GET
/v1/mgmt/sso/idp/app/secretAuthorization
Descope Project ID and Management Key AuthorizationBearer <token>
Project ID:Management Key as bearer token.
In: header
Query Parameters
id?string
secretName?string
Get the dedicated OIDC client secret of an SSO application by its ID, using a valid management key.
curl -X GET "https://api.descope.com/v1/mgmt/sso/idp/app/secret"{ "cleartext": "string"}export interface Response {cleartext?: string} Was this helpful?
Get SSO application role GET
Get a single SSO application role by application id and role id, using a valid management key.
Load All Applications GET
### Load all Applications within a project This endpoint returns details of all Applications within your Descope project. ### See Also - Review our [documentation](/manage/idpapplications/) around Applications within Descope.